routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('home');
});
Route::get('/hotel-tarif', [App\Http\Controllers\DashboardController::class, 'index'])->name('list');
Route::get('/hotel/detail/{id}', [App\Http\Controllers\DashboardController::class, 'detail'])->name('hotel.detail');
Route::get('/list/reservasi', [App\Http\Controllers\DashboardController::class, 'list'])->name('reservasi.index');
Route::post('/reservasi', [App\Http\Controllers\DashboardController::class, 'reservasi'])->name('reservasi.store');
Route::get('data/reservasi', [App\Http\Controllers\DashboardController::class, 'getData'])->name('get.reservasi');
Route::delete('/reservasi/{id}', [App\Http\Controllers\DashboardController::class, 'destroy'])->name('reservasi.destroy');
Route::get('print/{nama}/{email}/{hp}/{in}/{out}/{kamar}/{tamu}/{id}', [App\Http\Controllers\DashboardController::class, 'print'])->name('reservasi.print');

Auth::routes();

Route::get('/home', [App\Http\Controllers\HotelController::class, 'index'])->name('home');
Route::resource('tipe', App\Http\Controllers\TipeKamarController::class);
Route::resource('kamar', App\Http\Controllers\KamarController::class);
Route::resource('hotel', App\Http\Controllers\HotelController::class);
Route::resource('nilai', App\Http\Controllers\NilaiController::class);
Route::get('data/tipe-kamar', [App\Http\Controllers\TipeKamarController::class, 'getData']);
Route::get('data/kamar', [App\Http\Controllers\KamarController::class, 'getData']);
Route::get('data/hotel', [App\Http\Controllers\HotelController::class, 'getData']);
Route::get('data/nilai', [App\Http\Controllers\NilaiController::class, 'getData']);

resources/views/admin/footer.blade.php
<footer class="c-footer">
    <div>Sistem Informasi Hotel Kota Sorong.</div>
    {{-- <div class="ml-auto">Powered by&nbsp;<a href="https://coreui.io/">CoreUI</a></div> --}}
</footer>

resources/views/admin/home.blade.php
@extends('layouts.admin')

@section('subheader')
<li class="breadcrumb-item">Dashboard</li>
<li class="breadcrumb-item" active><a href="{{ route('home') }}">Hotel</a></li>
@endsection

@section('content')
<div class="container-fluid">
    <div class="fade-in">
        <div class="row">
            
        </div>
        <!-- /.row-->
    </div>
</div>
@endsection

resources/views/admin/hotel.blade.php
@extends('layouts.admin')

@section('title')
Hotel
@endsection

@section('subheader')
<li class="breadcrumb-item">Dashboard</li>
<li class="breadcrumb-item" active><a href="{{ route('hotel.index') }}">Hotel</a></li>
@endsection

@section('content')
<div class="container-fluid">
    <div class="fade-in">
        <div class="row justify-content-center">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header"><i class="fa fa-align-justify"></i>
                        <div class="card-header-actions">
                            <a class="btn btn-primary" style="color: white;" href="{{ route('hotel.create') }}">
                                <svg class="c-icon">
                                    <use xlink:href="{{ asset('coreui/dist/vendors/@coreui/icons/svg/free.svg#cil-medical-cross') }}"></use>
                                </svg>&nbsp;Tambah Hotel
                            </a>
                        </div>
                    </div>
                    <div class="card-body">
                        @if (session('status'))
                        <div class="alert alert-success alert-dismissible fade show" role="alert">
                            {{ session('status') }}<button class="close" type="button" data-dismiss="alert" aria-label="Close"><span
                                    aria-hidden="true">×</span></button>
                        </div>
                        @elseif (session('error'))
                        <div class="alert alert-danger alert-dismissible fade show" role="alert">
                            {{ session('error') }}<button class="close" type="button" data-dismiss="alert" aria-label="Close"><span
                                    aria-hidden="true">×</span></button>
                        </div>
                        @endif
                        @if ($errors->any())
                        <div class="alert alert-danger alert-dismissible fade show" role="alert">
                            <ul>
                                @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                        </div>
                        @endif
                        <div class="table-responsive">
                        <table id="myTable" class="table table-bordered table-striped table-sm">
                            <thead>
                                <tr>
                                    <th>No</th>
                                    <th>Nama Hotel</th>
                                    <th>Kelurahan</th>
                                    <th>Jenis Hotel</th>
                                    <th>Bank - Norek</th>
                                    <th>Actions&nbsp;</th>
                                </tr>
                            </thead>
                        </table>
                        </div>
                    </div>
                    <!-- /.card-body -->
                </div>
            </div>
        </div>
        <!-- /.row-->
    </div>
</div>
@endsection

@push('scripts')
<script>
    function deleteFunction(button) {
        if(confirm('Are you sure you want to delete this ?')) {
            button.parentNode.submit();
            return false;
        } else {
            return false;
        }
    }
</script>
<script>
    $(function() {
        var paketTable = $('#myTable').DataTable({
            processing: true,
            serverSide: true,
            responsive: true,
            ajax: {
                url: 'data/hotel'
            },
            columns: [
                    { data: 'DT_RowIndex', name: 'DT_RowIndex', width: '5%', orderable: false, searchable: false },
                    { data: 'nama_hotel', name: 'nama_hotel' },
                    { data: 'id_kelurahan', name: 'id_kelurahan' },
                    { data: 'jenis_hotel', name: 'jenis_hotel' },
                    { data: 'norek', name: 'norek' },
                    { data: 'action', name: 'action', orderable: false, searchable: false }
                ],
                    order: [[1, 'asc']]
        });
    });
</script>
@endpush

resources/views/admin/kamar.blade.php
@extends('layouts.admin')

@section('title')
Kamar
@endsection

@section('subheader')
<li class="breadcrumb-item">Dashboard</li>
<li class="breadcrumb-item" active><a href="{{ route('kamar.index') }}">Kamar</a></li>
@endsection

@section('content')
<div class="container-fluid">
    <div class="fade-in">
        <div class="row justify-content-center">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header"><i class="fa fa-align-justify"></i>
                        <div class="card-header-actions">
                            <a class="btn btn-success" style="color: white;" href="{{ route('kamar.create') }}">
                                <svg class="c-icon">
                                    <use xlink:href="{{ asset('coreui/dist/vendors/@coreui/icons/svg/free.svg#cil-medical-cross') }}"></use>
                                </svg>&nbsp;Tambah Kamar
                            </a>
                        </div>
                    </div>
                    <div class="card-body">
                        @if (session('status'))
                        <div class="alert alert-success alert-dismissible fade show" role="alert">
                            {{ session('status') }}<button class="close" type="button" data-dismiss="alert" aria-label="Close"><span
                                    aria-hidden="true">×</span></button>
                        </div>
                        @elseif (session('error'))
                        <div class="alert alert-danger alert-dismissible fade show" role="alert">
                            {{ session('error') }}<button class="close" type="button" data-dismiss="alert" aria-label="Close"><span
                                    aria-hidden="true">×</span></button>
                        </div>
                        @endif
                        @if ($errors->any())
                        <div class="alert alert-danger alert-dismissible fade show" role="alert">
                            <ul>
                                @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                        </div>
                        @endif
                        <div class="table-responsive">
                        <table id="myTable" class="table table-bordered table-striped table-sm">
                            <thead>
                                <tr>
                                    <th>No</th>
                                    <th>Tipe Kamar</th>
                                    <th>No Kamar</th>
                                    <th>Lantai</th>
                                    <th>Status</th>
                                    <th>Actions&nbsp;</th>
                                </tr>
                            </thead>
                        </table>
                        </div>
                    </div>
                    <!-- /.card-body -->
                </div>
            </div>
        </div>
        <!-- /.row-->
    </div>
</div>
@endsection

@push('scripts')
<script>
    function deleteFunction(button) {
        if(confirm('Are you sure you want to delete this ?')) {
            button.parentNode.submit();
            return false;
        } else {
            return false;
        }
    }
</script>
<script>
    $(function() {
        var paketTable = $('#myTable').DataTable({
            processing: true,
            serverSide: true,
            responsive: true,
            ajax: {
                url: 'data/kamar'
            },
            columns: [
                    { data: 'DT_RowIndex', name: 'DT_RowIndex', width: '5%', orderable: false, searchable: false },
                    { data: 'id_tipe_kamar', name: 'id_tipe_kamar' },
                    { data: 'nomor_kamar', name: 'nomor_kamar' },
                    { data: 'lantai', name: 'lantai' },
                    { data: 'status', name: 'status' },
                    { data: 'action', name: 'action', orderable: false, searchable: false }
                ],
                    order: [[1, 'asc']]
        });
    });
</script>
@endpush

resources/views/admin/nilai.blade.php
@extends('layouts.admin')

@section('title')
Inisialisasi Nilai
@endsection

@section('subheader')
<li class="breadcrumb-item">Dashboard</li>
<li class="breadcrumb-item" active><a href="{{ route('nilai.index') }}">Nilai Kriteria</a></li>
@endsection

@section('content')
<div class="container-fluid">
    <div class="fade-in">
        <div class="row justify-content-center">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header"><i class="fa fa-align-justify"> </i>List Hotel
                        <div class="card-header-actions">
                        </div>
                    </div>
                    <div class="card-body">
                        @if (session('status'))
                        <div class="alert alert-success alert-dismissible fade show" role="alert">
                            {{ session('status') }}<button class="close" type="button" data-dismiss="alert" aria-label="Close"><span
                                    aria-hidden="true">×</span></button>
                        </div>
                        @elseif (session('error'))
                        <div class="alert alert-danger alert-dismissible fade show" role="alert">
                            {{ session('error') }}<button class="close" type="button" data-dismiss="alert" aria-label="Close"><span
                                    aria-hidden="true">×</span></button>
                        </div>
                        @endif
                        @if ($errors->any())
                        <div class="alert alert-danger alert-dismissible fade show" role="alert">
                            <ul>
                                @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                        </div>
                        @endif
                        <div class="table-responsive">
                        <table id="myTable" class="table table-bordered table-striped table-sm">
                            <thead>
                                <tr>
                                    <th>No</th>
                                    <th>Nama Hotel / Tipe / Kamar</th>
                                    <th>Jarak</th>
                                    <th>Harga</th>
                                    <th>Fasilitas</th>
                                    <th>Actions&nbsp;</th>
                                </tr>
                            </thead>
                        </table>
                        </div>
                    </div>
                    <!-- /.card-body -->
                </div>
            </div>
        </div>
        <!-- /.row-->
    </div>
</div>
@endsection

@push('scripts')
<script>
    $(function() {
        var paketTable = $('#myTable').DataTable({
            processing: true,
            serverSide: true,
            responsive: true,
            ajax: {
                url: 'data/nilai'
            },
            columns: [
                    { data: 'DT_RowIndex', name: 'DT_RowIndex', width: '5%', orderable: false, searchable: false },
                    { data: 'hotel', name: 'hotel' },
                    { data: 'jarak', name: 'jarak' },
                    { data: 'harga', name: 'harga' },
                    { data: 'fasilitas', name: 'fasilitas' },
                    { data: 'action', name: 'action', orderable: false, searchable: false }
                ],
                    order: [[1, 'asc']]
        });
    });
</script>
@endpush

resources/views/admin/reservasi.blade.php
@extends('layouts.admin')

@section('title')
Hotel
@endsection

@section('subheader')
<li class="breadcrumb-item">Data</li>
<li class="breadcrumb-item" active><a href="{{ route('reservasi.index') }}">Reservasi</a></li>
@endsection

@section('content')
<div class="container-fluid">
    <div class="fade-in">
        <div class="row justify-content-center">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header"><i class="fa fa-align-justify"> </i>List Reservasi
                        <div class="card-header-actions">
                        </div>
                    </div>
                    <div class="card-body">
                        @if (session('status'))
                        <div class="alert alert-success alert-dismissible fade show" role="alert">
                            {{ session('status') }}<button class="close" type="button" data-dismiss="alert" aria-label="Close"><span
                                    aria-hidden="true">×</span></button>
                        </div>
                        @elseif (session('error'))
                        <div class="alert alert-danger alert-dismissible fade show" role="alert">
                            {{ session('error') }}<button class="close" type="button" data-dismiss="alert" aria-label="Close"><span
                                    aria-hidden="true">×</span></button>
                        </div>
                        @endif
                        @if ($errors->any())
                        <div class="alert alert-danger alert-dismissible fade show" role="alert">
                            <ul>
                                @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                        </div>
                        @endif
                        <div class="table-responsive">
                        <table id="myTable" class="table table-bordered table-striped table-sm">
                            <thead>
                                <tr>
                                    <th>No</th>
                                    <th>Nama</th>
                                    <th>Email</th>
                                    <th>No HP</th>
                                    <th>Tanggal</th>
                                    <th>Jumlah</th>
                                    <th>Pesan</th>
                                    <th>Nama Hotel / Tipe</th>
                                    <th>Status</th>
                                    <th>Total</th>
                                    <th>Actions&nbsp;</th>
                                </tr>
                            </thead>
                        </table>
                        </div>
                    </div>
                    <!-- /.card-body -->
                </div>
            </div>
        </div>
        <!-- /.row-->
    </div>
</div>
@endsection

@push('scripts')
<script>
    function deleteFunction(button) {
        if(confirm('Are you sure you want to delete this ?')) {
            button.parentNode.submit();
            return false;
        } else {
            return false;
        }
    }
</script>
<script>
    $(function() {
        var paketTable = $('#myTable').DataTable({
            processing: true,
            serverSide: true,
            responsive: true,
            ajax: '{!! route('get.reservasi') !!}',
            columns: [
                    { data: 'DT_RowIndex', name: 'DT_RowIndex', width: '5%', orderable: false, searchable: false },
                    { data: 'nama', name: 'nama' },
                    { data: 'email_tamu', name: 'email_tamu' },
                    { data: 'hp', name: 'hp' },
                    { data: 'tanggal', name: 'tanggal' },
                    { data: 'jumlah', name: 'jumlah' },
                    { data: 'pesan', name: 'pesan' },
                    { data: 'id_hotel', name: 'id_hotel' },
                    { data: 'status', name: 'status' },
                    { data: 'total', name: 'total' },
                    { data: 'action', name: 'action', orderable: false, searchable: false }
                ],
                    order: [[1, 'asc']]
        });
    });
</script>
@endpush

resources/views/admin/tipekamar.blade.php
@extends('layouts.admin')

@section('title')
Tipe Kamar
@endsection

@section('subheader')
<li class="breadcrumb-item">Dashboard</li>
<li class="breadcrumb-item" active><a href="{{ route('tipe.index') }}">Tipe Kamar</a></li>
@endsection

@section('content')
<div class="container-fluid">
    <div class="fade-in">
        <div class="row justify-content-center">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header"><i class="fa fa-align-justify"></i>
                        <div class="card-header-actions">
                            <a class="btn btn-info" style="color: white;" href="{{ route('tipe.create') }}">
                                <svg class="c-icon">
                                    <use xlink:href="{{ asset('coreui/dist/vendors/@coreui/icons/svg/free.svg#cil-medical-cross') }}"></use>
                                </svg>&nbsp;Tambah Tipe Kamar
                            </a>
                        </div>
                    </div>
                    <div class="card-body">
                        @if (session('status'))
                        <div class="alert alert-success alert-dismissible fade show" role="alert">
                            {{ session('status') }}<button class="close" type="button" data-dismiss="alert" aria-label="Close"><span
                                    aria-hidden="true">×</span></button>
                        </div>
                        @elseif (session('error'))
                        <div class="alert alert-danger alert-dismissible fade show" role="alert">
                            {{ session('error') }}<button class="close" type="button" data-dismiss="alert" aria-label="Close"><span
                                    aria-hidden="true">×</span></button>
                        </div>
                        @endif
                        @if ($errors->any())
                        <div class="alert alert-danger alert-dismissible fade show" role="alert">
                            <ul>
                                @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                        </div>
                        @endif
                        <div class="table-responsive">
                        <table id="myTable" class="table table-bordered table-striped table-sm">
                            <thead>
                                <tr>
                                    <th>No</th>
                                    <th>Tipe</th>
                                    <th>Deskripsi</th>
                                    <th>Foto</th>
                                    <th>Fasilitas</th>
                                    <th>Harga</th>
                                    <th>Jumlah</th>
                                    <th>Actions&nbsp;</th>
                                </tr>
                            </thead>
                        </table>
                        </div>
                    </div>
                    <!-- /.card-body -->
                </div>
            </div>
        </div>
        <!-- /.row-->
    </div>
</div>
@endsection

@push('scripts')
<script>
    function deleteFunction(button) {
        if(confirm('Are you sure you want to delete this ?')) {
            button.parentNode.submit();
            return false;
        } else {
            return false;
        }
    }
</script>
<script>
    $(function() {
        var paketTable = $('#myTable').DataTable({
            processing: true,
            serverSide: true,
            responsive: true,
            ajax: {
                url: 'data/tipe-kamar'
            },
            columns: [
                    { data: 'DT_RowIndex', name: 'DT_RowIndex', width: '5%', orderable: false, searchable: false },
                    { data: 'tipe_kamar', name: 'tipe_kamar' },
                    { data: 'deskripsi', name: 'deskripsi' },
                    { data: 'foto', name: 'foto', orderable: false, searchable: false },
                    { data: 'fasilitas_kamar', name: 'fasilitas_kamar' },
                    { data: 'harga', name: 'harga' },
                    { data: 'jumlah', name: 'jumlah' },
                    { data: 'action', name: 'action', orderable: false, searchable: false }
                ],
                    order: [[1, 'asc']]
        });
    });
</script>
@endpush